---
title: AnimationEffect.getComputedTiming()
slug: Web/API/AnimationEffect/getComputedTiming
tags:
  - API
  - Animation
  - Method
  - Reference
  - getComputedTiming
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The <code>getComputedTiming()</code> method of the {{domxref("AnimationEffect")}} interface returns the calculated timing properties for this animation effect.</p>

<p>Although many of the attributes of the returned object are common to the {{domxref("EffectTiming")}} contained in the object returned by the {{domxref("AnimationEffect.getTiming()")}} method, the values returned by this object differ in the following ways:</p>

<dl>
 <dt><code>duration</code></dt>
 <dd>Returns the calculated value of the iteration duration. If {{domxref("EffectTiming.duration")}} is the string <code>auto</code>, this attribute will return <code>0</code>.</dd>
 <dt><code>fill</code></dt>
 <dd>The <code>auto</code> value is replaced with the appropriate {{domxref("EffectTiming.fill")}} value.</dd>
</dl>

<div class="note">
<p>These values are comparable to the computed styles of an Element returned using <code>window.getComputedStyle(elem)</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<div class="syntaxbox">
<pre class="brush: js notranslate">var currentTimeValues = animation.getComputedTiming();</pre>
</div>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_Value">Return Value</h3>

<p>A <code><a href="https://drafts.csswg.org/web-animations/#dictdef-computedeffecttiming">ComputedEffectTiming</a></code> dictionary object, which contains the following properties:</p>

<dl>
 <dt>endTime</dt>
 <dd>The end time of the animation in milliseconds from the animation's start (if the {{domxref("KeyframeEffect")}} is associated with an {{domxref("Animation")}}). (Also includes {{domxref("EffectTiming.endDelay")}} in that calculation.)</dd>
 <dt>activeDuration</dt>
 <dd>The length of time in milliseconds that the animation's effects will run. This is equal to the <a href="/en-US/docs/Web/API/EffectTiming/duration">iteration duration</a> multiplied by the <a href="/en-US/docs/Web/API/EffectTiming/iterations">iteration count</a>.</dd>
 <dt>localTime</dt>
 <dd>The <a href="/en-US/docs/Web/API/AnimationTimeline/currentTime">current time</a> of the animation in milliseconds. If the <code>KeyframeEffect</code> is not associated with an <code>Animation</code>, its value is <code>null</code>.</dd>
 <dt>progress</dt>
 <dd>Indicates how far along the animation is through its current iteration with values between <code>0</code> and <code>1</code>. Returns <code>null</code> if the animation is not running or its <code>KeyframeEffect</code> isn't associated with an <code>Animation</code>.</dd>
 <dt>currentIteration</dt>
 <dd>The number of times this animation has looped, starting from <code>0</code>. Returns <code>null</code> if the animation is not running or its <code>KeyframeEffect</code> isn't associated with an <code>Animation</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animationeffect-getcomputedtiming', 'AnimationEffect.getComputedTiming()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEffect.getComputedTiming")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationEffect")}}</li>
 <li>{{domxref("Animation")}}</li>
</ul>
